#ifndef _MXL5003I_H_
#define  _MXL5003I_H_

#define MXL5003_VER_MAJOR        1
#define MXL5003_VER_MINOR        9  //MXL Internal version 1.0.7.4-case6 (2006.09.07)

extern int RF_IF_MXL5003D_X100[];

tDWORD InitMXL5003D(
    tHANDLE        handle,
    tBYTE          ucDemod2WireAddr,
    tBYTE          ucSlaveDemod,
    tBYTE          ucTuner2WireAddr,
    void *         pData               // pointer to IF1 (Hz)
);

tDWORD SetMXL5003D(
    tHANDLE     handle,
    tBYTE       ucDemod2WireAddr,
    tBYTE       ucSlaveDemod,
    tBYTE       ucTuner2WireAddr,
    tDWORD      dwFreq,
    tBYTE       ucBw
);

tDWORD AdjustMXL5003D(
    tHANDLE     handle,
    tBYTE       ucDemod2WireAddr,
    tBYTE       ucSlaveDemod,
    tBYTE       ucTuner2WireAddr,
    tBYTE       ucStrong
);

tDWORD CalibrateMXL5003D(
    tHANDLE     handle,
    tBYTE       ucDemod2WireAddr,
    tBYTE       ucSlaveDemod,
    tBYTE       ucTuner2WireAddr,
    tDWORD      f_in, 
    tDWORD      f_out, 
    tDWORD *    f_IF1, 
    int *       P_max,
    void *      pf,
    void *      pp
);
#endif